/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "cyapicallbacks.h"

uint8 wrBuf[10u];
uint8 userArray[10u];
uint32 byteCnt;
uint32 status;
uint32 I2CFlag = 0;

void I2C_I2C_ISR_ExitCallback()
{
    I2CFlag = 1; 
}

int main(void)
{
    uint8 i = 0;
    CyGlobalIntEnable; /* Enable global interrupts. */
    
    I2C_I2CSlaveInitWriteBuf((uint8 *) wrBuf, 10u);
    I2C_Start();
    
    status = I2C_I2CSlaveStatus();
    I2C_SetSlaveInterruptMode(I2C_INTR_SLAVE_I2C_WRITE_STOP);
    
    for(;;)
    {
        if(I2CFlag !=0)
        {
            if(0 != I2C_I2C_SSTAT_WR_BUSY)
            {
                red_Write(0);
                CyDelay(500);
                red_Write(1);
                CyDelay(1);
            }
            
            if (0 != I2C_I2C_SSTAT_WR_CMPLT)
            {
                blue_Write(0);
                CyDelay(500);
                blue_Write(1);
                CyDelay(1);
                
            
            }
            I2CFlag =0;
        }
        
        status = I2C_I2CSlaveStatus();
        if(0u != (status & I2C_I2C_SSTAT_WR_CMPLT))
        {
            if(0u == (status & I2C_I2C_SSTAT_WR_ERR))
            {
                byteCnt = I2C_I2CSlaveGetWriteBufSize();
                for(i=0; i < byteCnt; i++)
                {
                    userArray[i] = wrBuf[i]; /* Copy data to local array */
                }
            }
            /* Clean-up status and buffer pointer */
            I2C_I2CSlaveClearWriteStatus();
            I2C_I2CSlaveClearWriteBuf();
        }
    }
}

/* [] END OF FILE */
